util.hpp File Reference
`#include <algorithm>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Functions

std::vector< std::string > | btllib::split (const std::string &s, const std::string &delim)
void | btllib::ltrim (std::string &s)
void | btllib::rtrim (std::string &s)
void | btllib::trim (std::string &s)
bool | btllib::starts_with (std::string s, std::string prefix)
bool | btllib::ends_with (std::string s, std::string suffix)

## Detailed Description

Random utility functions.